Subject: bug#32599: 25.2; Feature request: input PUA characters by name

From: Robert Pluim <[email-masked]>
Date: Fri, 31 Aug 2018 14:34:24 +0200

[email-masked] (Janusz S. Bień) writes:

> On Fri, Aug 31 2018 at 10:05 +0200, [email-masked] writes:
>> [email-masked] (Janusz S. Bień) writes:
>>
>>> On Mon, Aug 27 2018 at  9:00 +0200, [email-masked] writes:
>>>> Please extend 'insert-char' to allow using the PUA character names and
>>>> codes provided in the format of Unicode named sequences
>>>>
>>>> http://www.unicode.org/reports/tr34/tr34-23.html
>>>>
>>>> but containing only single characters.
>>
>> Iʼm not sure I understand the request: insert-char already supports
>> using character names or code points to specify the character. What's
>> missing?
>
> You are missing "PUA" in the topic and in the text of my feature
> request. PUA is Private Use Area. Cf. e.g.
>

I missed that indeed. So what you want is a way of dynamically
extending which named entities can be used with insert-char based on
the type of information here:

https://folk.uib.no/hnooh/mufi/

Robert